[RISOLTO] Buster - come installare libreria di stretch?

Discussioni relative a Debian e Linux

[RISOLTO] Buster - come installare libreria di stretch?

Messaggioda Chryses » 31/07/2019, 18:29

Ciao, ho provato a installare qbittorrent-nox, che è poi il motivo per cui ho aggiornato debian da 9 a 10.
Codice: Seleziona tutto
$ apt install qbittorrent-nox
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libboost-chrono1.67.0 libboost-random1.67.0 libboost-system1.67.0 libtorrent-rasterbar9
Suggested packages:
  libtorrent-rasterbar-dbg qbittorrent-dbg
The following NEW packages will be installed:
  libboost-chrono1.67.0 libboost-random1.67.0 libboost-system1.67.0 libtorrent-rasterbar9 qbittorrent-nox
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 4,896 kB/6,915 kB of archives.
After this operation, 17.1 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://deb.debian.org/debian stable/main amd64 qbittorrent-nox amd64 4.1.5-1 [4,896 kB]
Fetched 4,896 kB in 2s (2,149 kB/s)
Selecting previously unselected package libboost-system1.67.0:amd64.
(Reading database ... 108037 files and directories currently installed.)
Preparing to unpack .../libboost-system1.67.0_1.67.0-13_amd64.deb ...
Unpacking libboost-system1.67.0:amd64 (1.67.0-13) ...
Selecting previously unselected package libboost-chrono1.67.0:amd64.
Preparing to unpack .../libboost-chrono1.67.0_1.67.0-13_amd64.deb ...
Unpacking libboost-chrono1.67.0:amd64 (1.67.0-13) ...
Selecting previously unselected package libboost-random1.67.0:amd64.
Preparing to unpack .../libboost-random1.67.0_1.67.0-13_amd64.deb ...
Unpacking libboost-random1.67.0:amd64 (1.67.0-13) ...
Selecting previously unselected package libtorrent-rasterbar9.
Preparing to unpack .../libtorrent-rasterbar9_1.1.11-2_amd64.deb ...
Unpacking libtorrent-rasterbar9 (1.1.11-2) ...
Selecting previously unselected package qbittorrent-nox.
Preparing to unpack .../qbittorrent-nox_4.1.5-1_amd64.deb ...
Unpacking qbittorrent-nox (4.1.5-1) ...
Setting up libboost-system1.67.0:amd64 (1.67.0-13) ...
Setting up libboost-chrono1.67.0:amd64 (1.67.0-13) ...
Setting up libboost-random1.67.0:amd64 (1.67.0-13) ...
Setting up libtorrent-rasterbar9 (1.1.11-2) ...
Setting up qbittorrent-nox (4.1.5-1) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for libc-bin (2.28-10) ...

Poi provo a eseguire il programma:
Codice: Seleziona tutto
$ qbittorrent-nox
qbittorrent-nox: error while loading shared libraries: libboost_system.so.1.62.0: cannot open shared object file: No such file or directory

Codice: Seleziona tutto
$ ldd /usr/bin/qbittorrent-nox
        linux-vdso.so.1 (0x00007fffb9f21000)
        libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f6de152b000)
        libtorrent-rasterbar.so.9 => /usr/local/lib/libtorrent-rasterbar.so.9 (0x00007f6de1052000)
        libboost_system.so.1.67.0 => /usr/lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007f6de104b000)
        libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f6de0eaa000)
        libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007f6de0e6b000)
        libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f6de0970000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f6de094d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f6de07c9000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f6de0646000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f6de062c000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f6de046b000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f6de1d92000)
        libboost_system.so.1.62.0 => not found
        libssl.so.1.1 => /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007f6de03d8000)
        libcrypto.so.1.1 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007f6de00ee000)
        libboost_chrono.so.1.62.0 => not found
        libboost_random.so.1.62.0 => not found
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f6de00e4000)
        libicui18n.so.63 => /usr/lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007f6ddfc19000)
        libicuuc.so.63 => /usr/lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007f6ddf84f000)
        libpcre2-16.so.0 => /usr/lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007f6ddf7ce000)
        libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f6ddf7b7000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f6ddf7b2000)
        libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f6ddf693000)
        libicudata.so.63 => /usr/lib/x86_64-linux-gnu/libicudata.so.63 (0x00007f6dddaa3000)
        libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f6ddda2f000)

Non so perchè un pacchetto installato dai repository non funzioni, però se cerco il libboost system 1.62 lo trovo solo per stretch, quindi chiedo
E' possibile/consigliabile, installare tale libreria in buster?

Cosa consigliate?
Ultima modifica di Chryses il 11/08/2019, 15:52, modificato 1 volta in totale.
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 31/07/2019, 21:06

Chryses ha scritto:provo a eseguire il programma:
Codice: Seleziona tutto
$ qbittorrent-nox
qbittorrent-nox: error while loading shared libraries: libboost_system.so.1.62.0: cannot open shared object file: No such file or directory

La lbreria libboost_system.so.1.62.0 non è una dipendenza della versione di Debian Buster di qbittorrent-nox:
Codice: Seleziona tutto
$ apt-cache depends qbittorrent-nox
qbittorrent-nox
  Dipende: libboost-system1.67.0
  Dipende: libc6
  Dipende: libgcc1
  Dipende: libqt5core5a
  Dipende: libqt5network5
  Dipende: libqt5xml5
  Dipende: libstdc++6
  Dipende: libtorrent-rasterbar9
  Dipende: zlib1g
  Consiglia: qbittorrent-dbg

Quindi, il programma qbittorrent-nox non dovrebbe avere motivo di invocare una libreria da Lui non richiesta. Questo mi fa ipotizzare che l'installazione di qbittorrent-nox sia almeno in parte fallita, cosa che, però, non posso verificare dai log dal momento che non hai inviato la parte del log relativa a questo aspetto.

Chryses ha scritto:
Codice: Seleziona tutto
$ ldd /usr/bin/qbittorrent-nox
[..]
        libboost_system.so.1.62.0 => not found
 [..]

Non so perchè un pacchetto installato dai repository non funzioni, però se cerco il libboost system 1.62 lo trovo solo per stretch, quindi chiedo: è possibile/consigliabile, installare tale libreria in buster?

Direi di no. Per qualche motivo (saturazione dello spazio del disco con istallazione interrotta/incompleta ?) la libreria libboost_system.so.1.62.0 è stata disinstallata in modo incompleto, oppure la cache del linker dinamico non si è aggiornata.
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 31/07/2019, 21:54

Il ragionamento mi è chiaro.

Domande:
Aki ha scritto:Questo mi fa ipotizzare che l'installazione di qbittorrent-nox sia almeno in parte fallita, cosa che, però, non posso verificare dai log dal momento che non hai inviato la parte del log relativa a questo aspetto.

Che log può esserti utile? Come posso darti un log più completo? Io ho visto che non dava errori durante l'installazione e non mi sono posto il problema.

Aki ha scritto:la libreria libboost_system.so.1.62.0 è stata disinstallata in modo incompleto, oppure la cache del linker dinamico non si è aggiornata.

Per quel che ne so forse non era neppure installata, non saprei come verificarlo, ho cercato ma nel sistema non è presente.

Sto cercando info sull'errore e trovo menzioni al kernel (altri systemi non debian però) e vedo che il kernel che ho è 4.9.0-8-amd64, possibile che non ci sia una versione più aggiornata per il mio sistema? Ho sempre pensato che si aggiornasse in automatico durante i normali aggiornamenti (solitamente do apt full-upgrade). Sto cercando info per capire se è l'ultimo stable che il mio sistema può installare. Ma anche qui sono a corto di conoscenze.

PS, per il kernel sto leggendo qui
https://www.debian.org/releases/buster/ ... tes.it.pdf
E risulta che io non ho il meta pacchetto del kernel attuale, ecco perchè non si è mai aggiornato. Continuo la lettura, peccato che dovrò far ripartire il sistema, sempre se riparte O0
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 01/08/2019, 15:55

Chryses ha scritto:Domande:
Aki ha scritto:Questo mi fa ipotizzare che l'installazione di qbittorrent-nox sia almeno in parte fallita, cosa che, però, non posso verificare dai log dal momento che non hai inviato la parte del log relativa a questo aspetto.

Che log può esserti utile? Come posso darti un log più completo? Io ho visto che non dava errori durante l'installazione e non mi sono posto il problema.

Puoi impartire i seguenti comandi:
Codice: Seleziona tutto
script log.txt
apt-get --reinstall qbittorrent-nox
exit


Chryses ha scritto:
Aki ha scritto:la libreria libboost_system.so.1.62.0 è stata disinstallata in modo incompleto, oppure la cache del linker dinamico non si è aggiornata.

Per quel che ne so forse non era neppure installata, non saprei come verificarlo, ho cercato ma nel sistema non è presente.

Da quanto inviato, sembrerebbe fosse installata, ma rimossa in modo incompleto.

Chryses ha scritto:Sto cercando info sull'errore e trovo menzioni al kernel (altri systemi non debian però) e vedo che il kernel che ho è 4.9.0-8-amd64, possibile che non ci sia una versione più aggiornata per il mio sistema? Ho sempre pensato che si aggiornasse in automatico durante i normali aggiornamenti (solitamente do apt full-upgrade). Sto cercando info per capire se è l'ultimo stable che il mio sistema può installare. Ma anche qui sono a corto di conoscenze.
PS, per il kernel sto leggendo qui
https://www.debian.org/releases/buster/ ... tes.it.pdf
E risulta che io non ho il meta pacchetto del kernel attuale, ecco perchè non si è mai aggiornato. Continuo la lettura, peccato che dovrò far ripartire il sistema, sempre se riparte O0

Ammesso che hai spazio disponibile sul disco (prima non lo avevi) puoi impartire in seguenti comandi:
Codice: Seleziona tutto
apt-get update
apt-get install linux-image-amd64
apt-get upgrade
apt-get dist-upgrade

Poiché il file system virtuale che esporta le variabili EFI è fornito dal kernel, il mancato aggiornamento del kernel potrebbe spiegare le difficoltà di accesso alle variabili EFI in VRAM.

Per quanto riguarda il riavvio, è tecnicamente possibile il riavvio del kernel (da un kernel funzionante) senza passare attraverso il boot-loader, ma chiedendo al kernel attivo di avviare un nuovo kernel (che sostituisce quello in esecuzione): vedi [0][1]

---

[0] https://wiki.debian.org/BootProcessSpeedup#Using_kexec_for_warm_reboots
[1] https://ma.ttias.be/kernel-patching-kexec-updating-centos-7-kernel-without-full-reboot/
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 02/08/2019, 10:42

Grazie come sempre della tua disponibilità.

Ora procedo per gradi, attualmente non fa il boot, quindi aprirò un altro topic per quello. Prima del riavvio ho aggiornato il kernel, avevo seguito le indicazioni di aggiornamento, effettivamente mancava il pacchetto.

Poi tornerò su questa benedetta libreria, e cercherò di disinstallarla del tutto
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 10/08/2019, 14:39

Eccomi, ti allego 2 log, uno fatto come mi hai chiesto e uno con l'aggiunta di strace

Che sia un problema del pacchetto?
Allegati
qbt-logs.7z
Logs
(29.96 KiB) Scaricato 27 volte
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 10/08/2019, 19:05

Dal log che hai inviato risulta (nota: risulta che hai incollato o trascritto il prompt rappresentato dal carattere $):
Codice: Seleziona tutto
# root @ Qnap in ~ [14:46:25]
$ apt-get install --reinstall qbittorrent-nox
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0 B/4,896 kB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 112630 files and directories currently installed.)
Preparing to unpack .../qbittorrent-nox_4.1.5-1_amd64.deb ...
Unpacking qbittorrent-nox (4.1.5-1) over (4.1.5-1) ...
Setting up qbittorrent-nox (4.1.5-1) ...
Processing triggers for man-db (2.8.5-2) ...
#                                                                                                                                                   
# root @ Qnap in ~ [14:46:51]
$ qbittorrent-nox
qbittorrent-nox: error while loading shared libraries: libboost_system.so.1.62.0: cannot open shared object file: No such file or directory

Puoi, per cortesia, impartire i seguenti comandi e fornire i relativi output (nel file log.txt):
Codice: Seleziona tutto
script log.txt
lsb_release -a
apt-cache show qbittorrent-nox
apt-cache policy qbittorrent-nox
apt-get install libboost-system1.67.0
apt-get -t buster install qbittorrent-nox
exit
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 10/08/2019, 21:27

Esatto, sono sotto root, dici che può creare problemi?

In allegato il log.
Allegati
log.7z
Log
(2.04 KiB) Scaricato 24 volte
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 11/08/2019, 9:00

Puoi impartire il seguente comando e fornire l'output:
Codice: Seleziona tutto
script log.txt
dpkg-query -l libboost-system1.62.0
apt-get purge libboost-system1.62.0
ls -la /usr/lib/x86_64-linux-gnu/libboost_system.so.1.62.0
find /lib -name libboost_system.so.1.62.0 -exec ls {} -la \;
exit
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 11/08/2019, 9:18

Certo, ecco il log
Allegati
log.7z
(1.04 KiB) Scaricato 30 volte
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 11/08/2019, 9:31

Questo il tuo ultimo log:
Codice: Seleziona tutto
Script started on 2019-08-11 10:13:11+02:00 [TERM="xterm" TTY="/dev/pts/0" COLUMNS="167" LINES="29"]
#                                                                                                                                                   
# root @ Qnap in ~ [10:13:12]
$ dpkg-query -l libboost-system1.62.0
dpkg-query: no packages found matching libboost-system1.62.0
#                                                                                                                                                   
# root @ Qnap in ~ [10:13:23] C:1
$ apt-get purge libboost-system1.62.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libboost-system1.62.0
E: Couldn't find any package by glob 'libboost-system1.62.0'
E: Couldn't find any package by regex 'libboost-system1.62.0'
#                                                                                                                                                   
# root @ Qnap in ~ [10:13:37] C:100
$ ls -la /usr/lib/x86_64-linux-gnu/libboost_system.so.1.62.0
ls: cannot access '/usr/lib/x86_64-linux-gnu/libboost_system.so.1.62.0': No such file or directory
#                                                                                                                                                   
# root @ Qnap in ~ [10:13:49] C:2
$ find /lib -name libboost_system.so.1.62.0 -exec ls {} -la \;
#                                                                                                                                                   
# root @ Qnap in ~ [10:14:08]
$ exit

Puoi fornire l'output dei comandi:
Codice: Seleziona tutto
script log.txt
type qbittorrent-nox
md5sum $(type qbittorrent-nox | cut -d ' ' -f 3)
find / -name qbittorrent-nox
exit

(nota: per log brevi, copia & incolla nel messaggio successivo piuttosto che allegare un file ad un messaggio).
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 11/08/2019, 9:41

Certo, ecco gli output:
Codice: Seleziona tutto
# root @ Qnap in ~ [10:36:13]
$ type qbittorrent-nox
qbittorrent-nox is /usr/bin/qbittorrent-nox

# root @ Qnap in ~ [10:36:14]
$ md5sum $(type qbittorrent-nox | cut -d ' ' -f 3)
9754fe24f3272daab22762fa15841a5f  /usr/bin/qbittorrent-nox

# root @ Qnap in ~ [10:36:22]
$ find / -name qbittorrent-nox
/usr/bin/qbittorrent-nox
/usr/share/doc/qbittorrent-nox

# root @ Qnap in ~ [10:37:07]
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 11/08/2019, 9:49

Puoi fornire l'output degli ulteriori comandi:
Codice: Seleziona tutto
ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
ldconfig
ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
qbittorrent-nox
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Re: Buster - come installare libreria di stretch?

Messaggioda Chryses » 11/08/2019, 9:57

Ecco l'output:
Codice: Seleziona tutto
# root @ Qnap in ~ [10:55:29]
$ ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
        linux-vdso.so.1 (0x00007ffd541a4000)
        libz.so.1 => /usr/local/lib/libz.so.1 (0x00007efc5462b000)
        libtorrent-rasterbar.so.9 => /usr/local/lib/libtorrent-rasterbar.so.9 (0x00007efc54152000)
        libboost_system.so.1.67.0 => /usr/lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007efc5414b000)
        libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007efc53faa000)
        libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007efc53f6b000)
        libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007efc53a70000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007efc53a4d000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007efc538c9000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007efc53746000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007efc5372c000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007efc5356b000)
        /lib64/ld-linux-x86-64.so.2 (0x00007efc54e92000)
        libboost_system.so.1.62.0 => not found
        libssl.so.1.1 => /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007efc534d8000)
        libcrypto.so.1.1 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007efc531ee000)
        libboost_chrono.so.1.62.0 => not found
        libboost_random.so.1.62.0 => not found
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007efc531e4000)
        libicui18n.so.63 => /usr/lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007efc52d19000)
        libicuuc.so.63 => /usr/lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007efc5294f000)
        libpcre2-16.so.0 => /usr/lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007efc528ce000)
        libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007efc528b7000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007efc528b2000)
        libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007efc52793000)
        libicudata.so.63 => /usr/lib/x86_64-linux-gnu/libicudata.so.63 (0x00007efc50ba3000)
        libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007efc50b2f000)

# root @ Qnap in ~ [10:55:32]
$ ldconfig

# root @ Qnap in ~ [10:55:48]
$ ldd $(type qbittorrent-nox | cut -d ' ' -f 3)
        linux-vdso.so.1 (0x00007ffd8cc3a000)
        libz.so.1 => /usr/local/lib/libz.so.1 (0x00007f8b4a878000)
        libtorrent-rasterbar.so.9 => /usr/local/lib/libtorrent-rasterbar.so.9 (0x00007f8b4a39f000)
        libboost_system.so.1.67.0 => /usr/lib/x86_64-linux-gnu/libboost_system.so.1.67.0 (0x00007f8b4a398000)
        libQt5Network.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Network.so.5 (0x00007f8b4a1f7000)
        libQt5Xml.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Xml.so.5 (0x00007f8b4a1b8000)
        libQt5Core.so.5 => /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 (0x00007f8b49cbd000)
        libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f8b49c9a000)
        libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f8b49b16000)
        libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f8b49993000)
        libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f8b49979000)
        libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f8b497b8000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f8b4b0df000)
        libboost_system.so.1.62.0 => not found
        libssl.so.1.1 => /usr/lib/x86_64-linux-gnu/libssl.so.1.1 (0x00007f8b49725000)
        libcrypto.so.1.1 => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.1 (0x00007f8b4943b000)
        libboost_chrono.so.1.62.0 => not found
        libboost_random.so.1.62.0 => not found
        librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f8b49431000)
        libicui18n.so.63 => /usr/lib/x86_64-linux-gnu/libicui18n.so.63 (0x00007f8b48f66000)
        libicuuc.so.63 => /usr/lib/x86_64-linux-gnu/libicuuc.so.63 (0x00007f8b48b9c000)
        libpcre2-16.so.0 => /usr/lib/x86_64-linux-gnu/libpcre2-16.so.0 (0x00007f8b48b1b000)
        libdouble-conversion.so.1 => /usr/lib/x86_64-linux-gnu/libdouble-conversion.so.1 (0x00007f8b48b04000)
        libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f8b48aff000)
        libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f8b489e0000)
        libicudata.so.63 => /usr/lib/x86_64-linux-gnu/libicudata.so.63 (0x00007f8b46df0000)
        libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f8b46d7c000)

# root @ Qnap in ~ [10:56:04]
$ qbittorrent-nox
qbittorrent-nox: error while loading shared libraries: libboost_system.so.1.62.0: cannot open shared object file: No such file or directory
Chryses
Jr. Member
Jr. Member
 
Messaggi: 88
Iscritto il: 29/09/2018, 12:55

Re: Buster - come installare libreria di stretch?

Messaggioda Aki » 11/08/2019, 10:00

Puoi fornire l'output degli ulteriori comandi:
Codice: Seleziona tutto
script log.txt
apt-get install debsums
debsums
debsums --changed
debsums  qbittorrent-nox
cat/var/lib/dpkg/info/qbittorrent-nox.md5sums
apt-get -t buster --reinstall install qbittorrent-nox
exit
Aki
Global Moderator
Global Moderator
 
Messaggi: 8806
Iscritto il: 27/12/2007, 16:59

Prossimo

Torna a Generale

Chi c’è in linea

Visitano il forum: Nessuno e 5 ospiti

cron